Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class DocxTableHelper

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.BaseHelper
          net.sf.jasperreports.engine.export.ooxml.DocxTableHelper

    public class DocxTableHelper

extends BaseHelper

Version:
  $Id: DocxTableHelper.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`writer`

Constructor Summary
`protected` | `DocxTableHelper(java.io.Writer writer, CutsInfo xCuts, boolean pageBreak)`

Method Summary
`void` | `exportEmptyCell(JRExporterGridCell gridCell, int emptyCellColSpan)`
`void` | `exportFooter(boolean lastPage, int pageWidth, int pageHeight)`
`void` | `exportHeader()`
`void` | `exportOccupiedCells(JRExporterGridCell gridCell)`
`void` | `exportRowFooter()`
`void` | `exportRowHeader(int rowHeight, boolean allowRowResize)`
`DocxCellHelper` | `getCellHelper()`
`DocxParagraphHelper` | `getParagraphHelper()`

Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocxTableHelper

    protected DocxTableHelper(java.io.Writer writer,
                              CutsInfo xCuts,
                              boolean pageBreak)

Method Detail

### getCellHelper

    public DocxCellHelper getCellHelper()

### getParagraphHelper

    public DocxParagraphHelper getParagraphHelper()

### exportHeader

    public void exportHeader()

### exportFooter

    public void exportFooter(boolean lastPage,
                             int pageWidth,
                             int pageHeight)

### exportRowHeader

    public void exportRowHeader(int rowHeight,
                                boolean allowRowResize)

### exportRowFooter

    public void exportRowFooter()

### exportEmptyCell

    public void exportEmptyCell(JRExporterGridCell gridCell,
                                int emptyCellColSpan)

### exportOccupiedCells

    public void exportOccupiedCells(JRExporterGridCell gridCell)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com